Documents

Get a list of documents

Use this method to obtain a list of documents (such as an ID card, passport, driver’s license, and others) submitted by a client for passing a verification procedure.

GET
/api/v2/my/documents

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 1000
Default10
offset?integer

Sets the offset

Range0 <= value
Default0

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/documents?limit=10&offset=0" \  -H "accept-language: ja"
{  "total": 1,  "data": [    {      "id": 1,      "type": {        "id": 1,        "description": "Documents for corporate clients",        "enabled": true,        "exаmple": "example.png",        "group": {          "id": 1,          "description": "Document groups for corporate clients",          "enabled": true,          "name": "corporate",          "priority": 1,          "type": "one",          "resources": [            {              "key": "caption",              "locale": "en_En",              "value": "value"            }          ]        },        "maxFiles": 10,        "name": "corporate",        "priority": 1,        "resources": [          {            "key": "caption",            "locale": "en_En",            "value": "value"          }        ]      },      "status": "approved",      "applicationId": 1,      "resolution": {        "id": 1,        "name": "Rejected"      },      "comment": "The document comment",      "files": [        {          "id": 8,          "file": "y/1662913861_photo_2022-09-08_11-23-06.jpg"        }      ],      "createTime": "2022-01-01T00:00:00+00:00",      "processTime": "2022-01-01T00:00:00+00:00"    }  ]}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}